ExpiresFilter.DurationUnit (Apache Tomcat 9.0.119 API Documentation)
Description: declaration: package: org.apache.catalina.filters, class: ExpiresFilter, enum: DurationUnit

# Enum ExpiresFilter.DurationUnit

java.lang.Object
java.lang.Enum<ExpiresFilter.DurationUnit>
org.apache.catalina.filters.ExpiresFilter.DurationUnit

All Implemented Interfaces:
  `Serializable, Comparable<ExpiresFilter.DurationUnit>, java.lang.constant.Constable`

Enclosing class:
  `ExpiresFilter`

public static enum ExpiresFilter.DurationUnit extends Enum<ExpiresFilter.DurationUnit>
Duration unit

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DAY`
  Day duration unit.
  `HOUR`
  Hour duration unit.
  `MINUTE`
  Minute duration unit.
  `MONTH`
  Month duration unit.
  `SECOND`
  Second duration unit.
  `WEEK`
  Week duration unit.
  `YEAR`
  Year duration unit.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCalendardField()`
  Returns the calendar field corresponding to this duration unit.
  `static ExpiresFilter.DurationUnit`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ExpiresFilter.DurationUnit[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DAY

    public static final ExpiresFilter.DurationUnit DAY
    Day duration unit.

  - ### HOUR

    public static final ExpiresFilter.DurationUnit HOUR
    Hour duration unit.

  - ### MINUTE

    public static final ExpiresFilter.DurationUnit MINUTE
    Minute duration unit.

  - ### MONTH

    public static final ExpiresFilter.DurationUnit MONTH
    Month duration unit.

  - ### SECOND

    public static final ExpiresFilter.DurationUnit SECOND
    Second duration unit.

  - ### WEEK

    public static final ExpiresFilter.DurationUnit WEEK
    Week duration unit.

  - ### YEAR

    public static final ExpiresFilter.DurationUnit YEAR
    Year duration unit.

- ## Method Details

  - ### values

    public static ExpiresFilter.DurationUnit[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ExpiresFilter.DurationUnit valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getCalendardField

    public int getCalendardField()
    Returns the calendar field corresponding to this duration unit.
    Returns:
      the calendar field value